import { ChatController } from './ChatController.js';
interface ChatCommand {
    name: string;
    description: string;
    execute(controller: ChatController, args: string[]): Promise<void>;
}
export declare class CommandRegistry {
    private commands;
    constructor();
    register(command: ChatCommand): void;
    execute(input: string, controller: ChatController): Promise<void>;
}
export {};
