export interface SavedPoint {
    label: string;
    previousResponseId: string;
}
export declare class ConfigGrok {
    grokCookie?: string;
    activeConversationId?: string;
    savedPoints: {
        [key: string]: SavedPoint;
    };
}
export declare function loadGrokConfig(dataDir: string): Promise<ConfigGrok>;
export declare function saveGrokConfig(dataDir: string, config: ConfigGrok): Promise<void>;
