import { Page } from 'puppeteer';
import { GrokTool } from '../tools/GrokTool.js';
export declare class ChatStreamer {
    private page;
    private lastResponseId;
    private conversationId;
    constructor(page: Page, conversationId: string, initialParentResponseId?: string);
    streamChat(userInput: string, fileIds: string[], tool: GrokTool | null, verbose?: boolean): Promise<string>;
    getLastResponseId(): string;
    getConversationId(): string;
}
